/*******************************************************************************
 * Copyright (c) 2004, 2005 IBM Corporation.
 * All rights reserved. 
 *******************************************************************************/
package com.ibm.samplesgallery.servlets;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.samplegallery.WebappResources;
import com.ibm.samplegallery.internal.GalleryConstants;

/**
 * Create bookmark framesets - bookmark view and bookmark toolbar. 
 */
public class GalleryNavigator extends HttpServlet implements GalleryConstants {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
			processRequest(req, res);
	}
	
	public void doPost(HttpServletRequest req, HttpServletResponse res)
	throws ServletException, IOException {
		processRequest(req, res);
	}
	
	public void processRequest(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException {
		resp.setContentType("text/html;charset=UTF-8"); //$NON-NLS-1$
		StringBuffer html = new StringBuffer();
		html.append("<html>\n"); //$NON-NLS-1$
		html.append("<head>\n"); //$NON-NLS-1$
		html.append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n"); //$NON-NLS-1$
		// The below script handles adjusting size of "Contents" header frame
		html.append("<script language=\"JavaScript\">\n" +
				"function onloadHandler(e)\n" +
				"{\n" +
				"var h=window.navigatorToolbarFrame.document.getElementById(\"titleText\").offsetHeight;\n" +
				"if(h<=19){\n" +
				"return; \n" +
				"}\n" +
				"document.getElementById(\"galleryNavFrameset\").setAttribute(\"rows\", (11+h)+\",*\"); \n" +
				"window.navigatorToolbarFrame.document.getElementById(\"titleTextTableDiv\").style.height=(9+h)+\"px\"; \n" +
				"}\n" +
				"</script>\n");
		html.append("</head>\n"); //$NON-NLS-1$
		// The below line calls onloadHandler, the next line does not
		html.append("<frameset id=\"galleryNavFrameset\" onload=\"onloadHandler()\" rows=\"24,*\" frameborder=\"0\" framespacing=\"0\" border=0 spacing=0>\n"); //$NON-NLS-1$	
		// html.append("<frameset id=\"galleryNavFrameset\" rows=\"24,*\" frameborder=\"0\" framespacing=\"0\" border=0 spacing=0>\n"); //$NON-NLS-1$
		html.append("<frame name=\"navigatorToolbarFrame\" title=\"" + WebappResources.getString(I18N.GALLERY_FRAME_CONTENT_HEADER) + "\" src='GalleryNavigatorToolbar'  marginwidth=\"0\" marginheight=\"0\" scrolling=\"no\" frameborder=\"0\" noresize nowrap>\n"); //$NON-NLS-1$
		html.append("<frame name=\"navigatorViewFrame\" title=\"" + WebappResources.getString(I18N.GALLERY_FRAME_NAVIGATION) + "\" src='GalleryNavigatorContainer'  marginwidth=\"10\" marginheight=\"0\" frameborder=\"0\" >\n"); //$NON-NLS-1$
		html.append("</frameset>\n"); //$NON-NLS-1$
		html.append("</html>\n"); //$NON-NLS-1$
		String htmlString = html.toString();
		resp.getWriter().println(htmlString);
	}
}
